--Traductor no
--dofile("WWW/online/traductor.lua")
dofile("WWW/online/diccionario.lua")
dofile("WWW/online/wiki.lua")
dofile("WWW/online/music.lua")

stra={}
stra[1]={x=192,y=55,w=0,h=20}
stra[2]={x=0,y=55,w=0,h=20}

stra[3]={x=40,y=90,w=400,h=60}
stra[4]={x=40,y=180,w=400,h=60}

stra[5]={x=0,y=55,w=60,h=20}
stra[6]={x=80,y=60,w=320,h=20}
stra[7]={x=40,y=70,w=400,h=180}


function conversor(obje)
	local txt=""
	for i=1,#obje do
		if obje:sub(i,i)==" " then txt=txt.."%20" else txt=txt..obje:sub(i,i) end
	end
	return txt
end

function despaciador(obje)

obje=obje:gsub("[|\r|\n]", "")
while string.find(obje,"  ")!=nil do
obje=obje:gsub("  ", " ")
end
return obje
end

function full_txt(str,size,pix)
	local newstr = ""
	local space = screen.textwidth(" ",size)
	local lasttxtw = 0
	local lines = 1
 
	for tmpstr in str:gmatch("([^%s]+)") do
		tmpix = screen.textwidth(tmpstr,size)
		if lasttxtw+tmpix<pix-9 then
			newstr = newstr..tmpstr.." "
			lasttxtw = lasttxtw + tmpix + space
		else
			newstr = newstr.."\n"..tmpstr.." "
			lasttxtw = tmpix + space
			lines = lines + 1
		end
	end
 
	return newstr,lines
end

function busca_wifi()

	imgwifi=image.load("WWW/news/fondo.png")
	while true do
		controls.read()
		imgwifi:blit(0,0)
		if not controls.wlan() then
			os.message("Por favor, enciende el botón WLAN.")
		else
			break
		end
		screen.flip()
	end

	
	if wlan.statustext()=="Conectado" then return true end
	redes=wlan.getconfigs()


	if #redes>0 then
		max=math.min(#redes,8)
		actual=1
		while true do
			controls.read()
			imgwifi:blit(0,0)
			if controls.press("up") then actual=actual-1 elseif controls.press("down") then actual=actual+1 end
			if actual>max then actual=1 elseif actual<1 then actual=max end
			screen.print(240,60,"Redes Inalámbricas",1,rojo,blanco,"center")
			
			if controls.press("cross") then
				screen.print(240,130,"Conectando a "..redes[actual].ssid,0.65,verde,0,"center")
				screen.print(240,150,"Pulsa O para cancelar",0.65,blanco,0,"center")
				screen.flip()
				wlan.init(actual)
			else
				for i=1,max do
					if i==actual then
						screen.print(240,80+20*i,redes[i].ssid,0.65,verde,0,"center")
					else
						screen.print(240,80+20*i,redes[i].ssid,0.65,blanco,0,"center")
					end
				end
				screen.flip()
			end
			
			if controls.start() then return false end
		end
	else
		os.message("No hay redes configuradas")
		return false
	end
end


wifi_menu={}
wifi_menu[1]="Music Downloader"
wifi_menu[2]="Diccionario"
wifi_menu[3]="Wiki PSP"
wifi_menu[4]="Navegador de PSP"
wifi_menu[5]="Descarga tu música favorita de forma gratuita y sencilla."
wifi_menu[6]="Busca el significado de una palabra en Castellano"
wifi_menu[7]="Busca toda la información posible de una palabra como su \nsignificado, su origen e historia, sus usos..."
wifi_menu[8]="Navega por Internet con el navegador propio de SONY"



function navegador()
if keyboard==1 then searchtxt=teclado(1,"Escribe tu búsqueda",30,"http://") else searchtxt=os.osk("Escribe tu búsqueda","http://",30,1,0) end
if searchtxt=="" then searchtxt="http://www.google.com" end
a=io.open("www/busqueda.txt","w+")
a:write(searchtxt)
a:close()
ini.write("SYSTEM/salida.ini","user",user)
os.runeboot("ms0:/PSP/GAME/PSPEXPLORER v2/WWW/eboot.pbp")
end



function WiFi()
liberar(10)
actual=1

if busca_wifi()==false then
	sistema("WiFi Utilities",true)
end

while true do
controls.read()
imgwifi:blit(0,0)

if wlan.statustext()~="Conectado" then os.message("Te has desconectado") sistema("WiFi Utilities",true) end

if controls.press("up") then actual=actual-1 elseif controls.press("down") then actual=actual+1 end

if actual>4 then actual=1 elseif actual<1 then actual=4 end

for i=1,4 do
if actual==i then 
	screen.print(240,50*i,"> "..wifi_menu[i],0.9,blanco,verde,"center")
	screen.print(240,20+50*i,wifi_menu[i+4],0.7,blanco,0,"center")
else 
	screen.print(240,50*i,wifi_menu[i],0.7,blanco,rojo,"center") end
end

if controls.press("cross") then
	if actual==1 then music_downloader() end
	if actual==2 then diccionario() end
	if actual==3 then wikipedia() end
	if actual==4 then navegador() end
end

if controls.start() then sistema("WiFi Utilities",true) end

screen.flip()
end
end